Bug 237631 - TreeView with TreeModelSort highlight problem. [NEEDINFO]
TreeView with TreeModelSort highlight problem.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
bzcl34nup
: Desktop, EasyFix, Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-24 05:49 EDT by Thomas Woerner
Modified: 2010-06-28 06:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:24:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
twoerner: needinfo? (mclasen)


Attachments (Terms of Use)
Test case (20.00 KB, application/x-tar)
2007-04-24 05:49 EDT, Thomas Woerner
no flags Details
Patch for gtk. (734 bytes, text/x-patch)
2007-04-24 05:51 EDT, Thomas Woerner
no flags Details
Patch for gtk2.spec file. (1.33 KB, text/x-patch)
2007-04-24 05:51 EDT, Thomas Woerner
no flags Details

  None (edit)
Description Thomas Woerner 2007-04-24 05:49:10 EDT
Description of problem:
TreeView with TreeModelSort only highlights sorted column when there are more
than 2 columns.

Version-Release number of selected component (if applicable):
gtk2-2.10.11-5.fc7

How reproducible:
Always

Steps to Reproduce:
1. Use test case
  
Actual results:
Highlighting with more than 2 columns.

Expected results:
Highlighting with more than 1 column.

Additional Information:
This is also a problem in FC-5 and FC-6
Comment 1 Thomas Woerner 2007-04-24 05:49:10 EDT
Created attachment 153337 [details]
Test case
Comment 2 Thomas Woerner 2007-04-24 05:51:07 EDT
Created attachment 153338 [details]
Patch for gtk.
Comment 3 Thomas Woerner 2007-04-24 05:51:43 EDT
Created attachment 153339 [details]
Patch for gtk2.spec file.
Comment 4 Matthias Clasen 2007-04-24 11:00:52 EDT
This behaviour is intentional:

Tue Feb 24 14:43:07 2004  Jonathan Blandford  <jrb@gnome.org> 

                gtk/gtktreeview.c (gtk_tree_view_bin_expose): only draw the sort
                column as different if there are 3 or more visible columns.


The argument jrb gave me for it is that with just two columns, if they are 
colored differently, you don't know which one is the "special" one. 
Comment 5 Thomas Woerner 2007-04-24 11:16:27 EDT
Nope, if you have two treeviews and one has 2 columns and the other one 3, then
these treeviews are colored differently if both are using sortes columns. In the
3 column treeview you see which one is sorted (and darker), but the 2 column
treeview has visually no sorted column (nothing dark).

To mark the sorted column darker is a attribute, you recognize for all
treeviews. If there is no column marked, then there is no sorted column.
Comment 6 Thomas Woerner 2007-04-24 11:39:08 EDT
Please at least add an attribute, where I can set the number of visible columns
needed for highlighting and/or an attribute that I can disable the highlighting
of the sorted column at all. 
It is really bad, if treeviews with 2 and 3 columns have a different look and
feel, especially if both are visible at the same time.
Comment 7 Thomas Woerner 2007-06-06 08:58:04 EDT
Are there some news on this?
Comment 8 Thomas Woerner 2007-08-08 09:15:57 EDT
ping?
Comment 9 Bug Zapper 2008-04-03 20:14:24 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 10 Bug Zapper 2008-05-06 21:33:05 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp
Comment 11 Thomas Woerner 2008-05-07 08:47:47 EDT
This bug was in needinfo for the assignee.

Reopening.
Comment 12 Bug Zapper 2008-05-13 22:48:01 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-06-09 18:33:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 13:10:50 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Thomas Woerner 2009-07-15 03:28:12 EDT
Still a problem in F-11.
Comment 16 Bug Zapper 2010-04-27 07:42:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-06-28 06:24:42 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.